com.ihr.xbrl.om.table.layout

## Class OpenCellHeader

- java.lang.Object
- - com.ihr.xbrl.om.table.layout.CellHeader
  - - com.ihr.xbrl.om.table.layout.OpenCellHeader

-     public class OpenCellHeader
      extends CellHeader

  The Class OpenCellHeader.
  Author:
    Ignacio

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpenCellHeader(Group group, XBRLStructuralNode nu, CellHeader parent, EffectiveBreakdown effectiveBreakdown)` Instantiates a new open cell header.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLabel()` Returns a proper label for the cell based on the cell type and the aspects linked with this cell along with the parameters set in the DTS such as preferred languages.

    - ### Methods inherited from class com.ihr.xbrl.om.table.layout.CellHeader

      `addChildren, findAspect, getAspects, getChildren, getColNumber, getGroup, getIndexNumber, getParent, getRowNumber, getSpan, getTableStructuralNode, getTagSelector, hasRollUp, isLeaf, isOpen, isRollUp, isRollUpPositionLeft, isRollUpPositionRight, isTitle, setRowColumnNumber, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OpenCellHeader

          public OpenCellHeader(Group group,
                        XBRLStructuralNode nu,
                        CellHeader parent,
                        EffectiveBreakdown effectiveBreakdown)

      Instantiates a new open cell header.
      Parameters:
        `group` - the group
        `nu` - the nu
        `parent` - the parent
        `effectiveBreakdown` - the effective breakdown

  - ### Method Detail

    - #### getLabel

          public java.lang.String getLabel()

      Returns a proper label for the cell based on the cell type and the aspects linked with this cell along with the parameters set in the DTS such as preferred languages.
      Overrides:
        `getLabel` in class `CellHeader`
      Returns:
        the label